0 Пользователей и 1 Гость просматривают эту тему.
  • 14 Ответов
  • 6555 Просмотров
*

hagaiFD

  • Осваиваюсь на форуме
  • 34
  • 0 / 0
  • forum.mostaxi24.com
Здравствуйте! Хочу сразу извиниться за возможное дублирование темы, просто не нашел ответа.

1. Я обновил Joomla 1.7.3 до 1.7.4 / заменив по ftp файлы;
2. Я обновил Joomla 1.7.4 до 1.7.5 / заменив по ftp файлы;
3. Через менджер расширений я пытался установить Joomla 2.5.0 соответственно поверх Joomla 1.7.5 - не получилось;
4. Через менеджер  расширений я зашел на вкладку обновление, показало что есть последняя версия Joomla 2.5.7 нажал обновить, все прошло успешно (вроде как). Кроме того что:
          66 изменений базы данных были успешно проверены.
          26 изменений базы данных не изменили структуру таблиц и были пропущены.
   Нажатие на кнопку "Исправить" не помогает.

  
Помогите пожалуйста исправить.
« Последнее редактирование: 31.10.2012, 15:45:11 от smart »
и вроде все уже знаю...   forum.mostaxi24.com - Форум о такси и таксистах в Москве и Московской области, о работе водителем в такси
*

smart

  • Администратор
  • 6485
  • 1315 / 15
  • Хочешь сделать хорошо — сделай!
1. Зачем вы обновляли по FTP, когда это можно (и нужно) было делать через встроенный механизм обновлений?
2. Что мешает откатить все изменения (взять резервную копию до начала всех обновлений) и пройти все шаги используя стандартные средства?
*

hagaiFD

  • Осваиваюсь на форуме
  • 34
  • 0 / 0
  • forum.mostaxi24.com
1. Зачем вы обновляли по FTP, когда это можно (и нужно) было делать через встроенный механизм обновлений?
2. Что мешает откатить все изменения (взять резервную копию до начала всех обновлений) и пройти все шаги используя стандартные средства?

Делал так потому что прочитал что нельзя обновить 1.7.3 на 2.5.0
Типа только с 1.7.5 на 2.5.0

Откатить очень проблематично...
А стандартные шаги это что Вы имеете в виду? и можно ли исправить то что есть сейчас?
и как узнать что за 26 изменений не произошло.
и вроде все уже знаю...   forum.mostaxi24.com - Форум о такси и таксистах в Москве и Московской области, о работе водителем в такси
*

KKAAZZOO

  • Живу я здесь
  • 2161
  • 111 / 9
Обновлять через FTP можно было только версию 1.5. Версии начиная с 1.7 правильно обновляются только путем установки новых версий в ручном или автоматическом режиме. Обновление через FTP официально не поддерживается и осуществляется на свой страх и риск. Восстанавливайте из бэкапа и обновляйтесь правильно.
*

hagaiFD

  • Осваиваюсь на форуме
  • 34
  • 0 / 0
  • forum.mostaxi24.com
Обновлять через FTP можно было только версию 1.5. Версии начиная с 1.7 правильно обновляются только путем установки новых версий в ручном или автоматическом режиме. Обновление через FTP официально не поддерживается и осуществляется на свой страх и риск. Восстанавливайте из бэкапа и обновляйтесь правильно.

т.е. сразу через менеджер расширений - обновление - до последней версии?
с 1.7.3 на 2.5.7 ?
и вроде все уже знаю...   forum.mostaxi24.com - Форум о такси и таксистах в Москве и Московской области, о работе водителем в такси
*

KKAAZZOO

  • Живу я здесь
  • 2161
  • 111 / 9
Да, я бы посоветовал скачать установочный пакет и вручную установить. Еще на сайте Joomla есть великое множество установочных пакетов для переходя с каждой версии 1.7 до последней стабильной версии 2.5 Где искать не скажу, но точно есть, видал и скачивал один раз необходимый пакет
*

hagaiFD

  • Осваиваюсь на форуме
  • 34
  • 0 / 0
  • forum.mostaxi24.com
В общем так:

Откатился до 1.7.3 какая и была... Потом в менеджере обновлений нашел обновление Joomla 2.5.7 (предварительно очистив кэш) и нажал обновить... потом закачал русскую локализацию... и что я вижу?... ничего не изменилось! теже 66 изменений базы данных были успешно проверены, а 26 изменений базы данных не изменили структуру таблиц и были пропущены.

Помогите!
и вроде все уже знаю...   forum.mostaxi24.com - Форум о такси и таксистах в Москве и Московской области, о работе водителем в такси
*

hagaiFD

  • Осваиваюсь на форуме
  • 34
  • 0 / 0
  • forum.mostaxi24.com
Вот еще какое дело!
У меня в принципе все корректно работает, и отображается и может "26 изменений базы данных не изменили структуру таблиц и были пропущены" так и должно быть? Может 26 изменений не надо делать потому что они одинаковые (файлы, префикс БД, папки я не знаю...)
Или изменения не смогли что то "изменить" по каким либо причинам?
Может кто знает и прокомментирует для полной уверенности?
« Последнее редактирование: 31.10.2012, 17:06:36 от hagaiFD »
и вроде все уже знаю...   forum.mostaxi24.com - Форум о такси и таксистах в Москве и Московской области, о работе водителем в такси
*

KKAAZZOO

  • Живу я здесь
  • 2161
  • 111 / 9
Если все работает, то значит все нормально. Просто Joomla начиная с версии 1.7 при обновлении может обновлять базу данных сайта. А Joomla версии 1.5 базу не затрагивала и поэтому можно было обновлять через FTP
*

I_CaR

  • Новичок
  • 2
  • 0 / 0
Цитировать
3. Через менджер расширений я пытался установить Joomla 2.5.0
Т.е. я так понимаю, можно на v1.7.5 как установкой модуля, обычного плагина поставить v2.5.6 jooml'ы?
----
У меня просто затык:
Поставил я какой-то JGrade, от требует включение какой-то mootools.
Иду смотреть где включать, её там НЕТ(!)
Её и в плагинах нет и даже в БД jos_plugin нет ни каких записей про неё.
Вопрос: Как провести обновление с v1.5.7 до v2.5.6?
Готов пошагово, т.е. по одной с 1.5.7, 1.5.8, 1.5.9, 1.6.0, 1.6.1 и т.д.
P.S. Страшно от таких плагинов становится, случится установлю этот mootools, а он попросит включить ещё какой-нибудь X-tools?
Дедка за репку, бабка за дедку.... :)
P.P.S. Предупреждаю на счёт кричащих про криворуковсть! Я с Joomla 3-ий день работаю.
Причём первые 3 дня убил на возврат админки и лечение вируса на сайте.
старый поклонник Drupal+UberCart
*

Иваныч57

  • Захожу иногда
  • 79
  • 0 / 0
А вот у меня в админке никакие обновления не показываются - пусто (сейчас стоит версия 1.7.3)
как мне быть? откуда качать обновления?
*

smart

  • Администратор
  • 6485
  • 1315 / 15
  • Хочешь сделать хорошо — сделай!
А вот у меня в админке никакие обновления не показываются - пусто (сейчас стоит версия 1.7.3)
как мне быть? откуда качать обновления?
Читаем Upgrading from Joomla 1.7 to Joomla 2.5, если обновлений нет, то качаем пакет Joomla_2.5.0-Stable-Update_Package.zip и ставим, а дальше обновления уже должны прийти. Но перед этим не забываем сделать полный бекап сайта.
*

Иваныч57

  • Захожу иногда
  • 79
  • 0 / 0
Читаем Upgrading from Joomla 1.7 to Joomla 2.5, если обновлений нет, то качаем пакет Joomla_2.5.0-Stable-Update_Package.zip и ставим, а дальше обновления уже должны прийти. Но перед этим не забываем сделать полный бекап сайта.

а если сразу вот этот поставить Joomla_2.5.11-Stable-Update_Package.zip ?
или вот этот Joomla_3.1.1-Stable-Update_Package.zip ?
*

smart

  • Администратор
  • 6485
  • 1315 / 15
  • Хочешь сделать хорошо — сделай!
а если сразу вот этот поставить Joomla_2.5.11-Stable-Update_Package.zip ?
Теоретически - можно попробовать, я просто мигрировал давно и последовательно.

или вот этот Joomla_3.1.1-Stable-Update_Package.zip ?
Я бы не рекомендовал использовать 3.0 или 3.1 на рабочих сайтах, сыровата...
*

schel4ok

  • Захожу иногда
  • 219
  • 3 / 1
а у меня на одном из сайтов Версия 1.7.2
и нету никакой кнопки обновить, типа как в третьей Joomla

как её обновить?
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Критическая уязвимость. Joomla 1.7

Автор Juseppe

Ответов: 18
Просмотров: 1910
Последний ответ 25.06.2018, 18:48:32
от vebmaster
Миграция с Joomla 1.5 на Joomla 1.6 с помощью J2XML Importer

Автор Nik

Ответов: 100
Просмотров: 46208
Последний ответ 27.04.2018, 17:02:57
от CrazyPr0ger
ошибка после обновления c Joomla 2.5 до 3

Автор akondr

Ответов: 23
Просмотров: 8659
Последний ответ 02.04.2018, 19:08:36
от SeBun
Не обновляется Joomla 2.5.28

Автор SPMBes

Ответов: 47
Просмотров: 3088
Последний ответ 20.03.2018, 21:44:44
от stendapuss
Сайт на Joomla 2.5 взломан.

Автор Likur

Ответов: 14
Просмотров: 1022
Последний ответ 21.08.2017, 21:49:28
от ProtectYourSite